
Base Distribution - Story # 7921

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-05-26 Assigned To:
Updated: 2011-05-05 Due date:
Subject: As  Magarethe I want to add  pages
Description

Click on "add page" 
  - slide down of page properties
  - Fields: title / navtitle / pathsegment
  - Part to select the position of the new page...  (it shows the siblings)

(creating childpages still needs to be planned)

Subtasks:
Task # 8682: Add a new menu entry for creating pages Resolved
Task # 10727: After adding a page I want to be redirected there Resolved
Task # 8690: A Service for adding content is needed Resolved
Task # 8685: The Form Configuration for the Module Menu should be extracted to a separa... Resolved
Task # 10675: Adding pages is broken since JS cleanup Resolved
Related issues:
related to TYPO3.Neos - Task # 8687: Should the "Add Page" and "Edit Page Pro... Resolved 2010-07-06
related to TYPO3.Neos - Task # 8688: Instead of OK/Cancel buttons, use Commit? Resolved 2010-07-06

History
#1 - 2010-07-03 23:36 - Daniel Poetzinger
- Subject changed from As an editor in Editmode I want to have a clear view of what could be edited. to As a Klaus und Magarethe I want to add  
pages

#2 - 2010-07-03 23:42 - Jens Hoffmann
- File T35ui-Content-Latest-Unbranded-Add-Page.pdf added

#3 - 2010-07-04 00:32 - Daniel Poetzinger
- Subject changed from As a Klaus und Magarethe I want to add  pages to As  Magarethe I want to add  pages

#4 - 2010-07-09 13:50 - Robert Lemke
- Project changed from 1204 to Core Team

#5 - 2010-07-09 13:51 - Robert Lemke
- Target version set to 593

#6 - 2010-08-12 18:02 - Bastian Waidelich

Note: as we haven't completely resolved #7920 yet (page properties "Navigationtitle, "Pathsegment" and "hidden" are not yet editable) we decided to
implement those missing features within this story.

#7 - 2010-08-20 12:16 - Robert Lemke
- Target version changed from 593 to 628
Postponed to Sprint 4

#8 - 2010-10-15 10:59 - Karsten Dambekalns
- Status changed from New to Accepted
- % Done changed from 0 to 70

It works, but the positioning widget is missing.

#9 - 2010-10-21 10:53 - Robert Lemke
- Target version changed from 628 to 711

#10 - 2010-11-24 13:00 - Robert Lemke
- Status changed from Accepted to Resolved

#11 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (711)

Files
T35ui-Content-Latest-Unbranded-Add-Page.pdf 185.6 kB 2010-07-03 Jens Hoffmann

2015-08-03 2/2


